Bug 1759354 (raceintospace) - Review Request: raceintospace - Race into Space game
Summary: Review Request: raceintospace - Race into Space game
Keywords:
Status: CLOSED ERRATA
Alias: raceintospace
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2019-10-07 22:56 UTC by Petr Menšík
Modified: 2019-11-09 22:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 21:20:15 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Petr Menšík 2019-10-07 23:05:49 UTC
When testing COPR build, discovered issue with GCC. Game crashes before first start reliably, reported on upstream issue [1]. No simple fix were found, I think it is bug in GCC.

It is by default compiled by clang, which does not have such issue. Bug not yet reported to gcc, because not yet isolated crash without point and click movements in the game.

1. https://github.com/raceintospace/raceintospace/issues/235

Comment 2 Robert-André Mauchin 2019-10-08 14:42:08 UTC
 - I would put this within the main package:

%{_datadir}/applications/%{name}.desktop

And you need to validate it:

BuildRequires: desktop-file-utils

[…]

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

 - Providing an Appdata file would be nice too.

 - Include doc/manual/ with %doc?

 - %{gittag} is not defined in your spec so this fails:

Source0:	https://github.com/%{github_owner}/%{name}/archive/%{gittag}/%{name}-%{pkgversion}.%{archive_suffix}

 - commit 0a422b5 doesn't seem to exist

 - SPEC and SPEC in SRPM differ, one has a patch, the other has not.

Comment 3 Petr Menšík 2019-10-12 21:45:57 UTC
Ok, my complicated setup regarding to sources fetching does not work well. Fixed it a bit. But srpm has to be different than copr one for now.

Missed the manual completely, it is quite well done. Made also html page using pandoc on build time. Would it make sense to add desktop file for manual as well?

Added desktop-file-validate into check section. Made also metainfo package.

But it seems URL for images blocks validation in mockbuild. When it has no network access, it fails build. Thinks those URLs are broken, but it just cannot check it at that time. Is there any workaround for it? Should I just omit images from appdata.xml?

Spec URL: https://github.com/pemensik/raceintospace/raw/fedora/contrib/fedora/raceintospace.spec
SRPM URL: https://pemensik.fedorapeople.org/srpm/raceintospace-1.1.0-2.fc29.src.rpm

Comment 4 Petr Menšík 2019-10-12 22:57:21 UTC
+ appstream-util validate-relax doc/raceintospace.appdata.xml
doc/raceintospace.appdata.xml: GLib-GIO-Message: 23:59:09.185: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
FAILED:
? url-not-found         : <screenshot> failed to connect: Cannot resolve hostname [http://www.raceintospace.org/images/screenshots/splash_screen.png]
? url-not-found         : <screenshot> failed to connect: Cannot resolve hostname [https://raw.githubusercontent.com/raceintospace/raceintospace/master/doc/manual/image_1.png]
? url-not-found         : <screenshot> failed to connect: Cannot resolve hostname [https://raw.githubusercontent.com/raceintospace/raceintospace/master/doc/manual/image_13.png]
Validation of files failed

This is the message produced. Those links are valid.
Made conditional net switch, by defaul off. In that case, validation is turned off, since I have not found any way to make URL check non-fatal.

Comment 5 Robert-André Mauchin 2019-10-13 19:38:20 UTC
You need to pass --nonet to appstream-util See https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_app_data_validate_usage

Comment 6 Petr Menšík 2019-10-14 18:11:12 UTC
Oh, I were looking for it but missed that parameter. Thank you!

Fixed, made a new build on COPR. Updated older files.

Spec URL: https://github.com/pemensik/raceintospace/raw/fedora/contrib/fedora/raceintospace.spec
SRPM URL: https://pemensik.fedorapeople.org/srpm/raceintospace-1.1.0-2.fc29.src.rpm

Comment 7 Robert-André Mauchin 2019-10-15 15:53:32 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License (v2)", "GPL (v2 or later) (with incorrect FSF address)", "BSD
     3-clause "New" or "Revised" License", "BSD 3-clause "New" or "Revised"
     License GPL (v2)", "Kevlin Henney License". 2186 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/raceintospace/review-
     raceintospace/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     raceintospace-data
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: raceintospace-1.1.0-2.fc32.x86_64.rpm
          raceintospace-data-1.1.0-2.fc32.noarch.rpm
          raceintospace-doc-1.1.0-2.fc32.noarch.rpm
          raceintospace-debuginfo-1.1.0-2.fc32.x86_64.rpm
          raceintospace-debugsource-1.1.0-2.fc32.x86_64.rpm
          raceintospace-1.1.0-2.fc32.src.rpm
raceintospace.x86_64: W: no-manual-page-for-binary raceintospace
raceintospace-data.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 8 Gwyn Ciesla 2019-10-20 15:09:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/raceintospace

Comment 9 Fedora Update System 2019-10-30 08:24:28 UTC
FEDORA-2019-d2a8e7bf87 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2a8e7bf87

Comment 10 Fedora Update System 2019-10-30 08:25:57 UTC
FEDORA-2019-c8226e4931 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8226e4931

Comment 11 Fedora Update System 2019-11-01 16:54:16 UTC
raceintospace-1.1.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2a8e7bf87

Comment 12 Fedora Update System 2019-11-01 17:21:02 UTC
raceintospace-1.1.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8226e4931

Comment 13 Fedora Update System 2019-11-09 21:20:15 UTC
raceintospace-1.1.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-09 22:38:48 UTC
raceintospace-1.1.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.